Create Application Filter
curl --request POST \
--url https://api.lendflow.com/api/filters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "b",
"is_available_for_organization": true,
"data": [],
"columns": null,
"is_visible": false,
"is_pinned": true,
"sort_order": 27
}
'import requests
url = "https://api.lendflow.com/api/filters"
payload = {
"name": "b",
"is_available_for_organization": True,
"data": [],
"columns": None,
"is_visible": False,
"is_pinned": True,
"sort_order": 27
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'b',
is_available_for_organization: true,
data: [],
columns: null,
is_visible: false,
is_pinned: true,
sort_order: 27
})
};
fetch('https://api.lendflow.com/api/filters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": null,
"name": "Test Filter",
"data": {
"deal_statuses": [
6
]
},
"columns": [
"deal_status"
],
"is_available_for_organization": false,
"sort_order": 0,
"is_visible": false,
"is_pinned": false
}Smartviews
Create Application Filter
Creates a saved filter from a set of application search criteria so the same view of your pipeline can be reused later. Filters can be kept private or shared with your organization, and your visibility, pin, and sort order preferences can be set in the same request.
POST
/
api
/
filters
Create Application Filter
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Authorization: Bearer [YOUR_TOKEN]
You must replace [YOUR_TOKEN] with your personal API key.
Body
application/json
Must not be greater than 255 characters.
Example:
"b"
Example:
true
Show child attributes
Show child attributes
Example:
[]
Must have at least 1 items.
Example:
null
Example:
false
Example:
true
Must be at least 0.
Example:
27
Was this page helpful?